GPC support for AIX 6?

Gert Doering gd at medat.de
Tue Oct 14 17:24:36 CEST 2008


Hi,

On Tue, Oct 14, 2008 at 04:08:35PM +0100, Prof A Olowofoyeku (The African Chief) wrote:
> On 14 Oct 2008 at 16:00, Gert Doering  wrote:
>
> > Googling seems to suggest that the earliest release of GCC to work on
> > AIX 6 is gcc 4.2.4 
> 
> Have you actually tried compiling gpc on that platform? I don't think 
> there's anything wrong, in principle, with using gcc-4.2.x or higher to 
> compile gpc based on an earlier gcc (e.g., 3.4.x) back end.

Well, if my understanding is correct, the GCC backend (code generation
and such) needs to support the platform in question.  Otherwise you can't
build GPC either.

Based on that understanding, I did not try to build a 3.4.x-based gpc on
APX 6 yet - as gcc-3.4.x itself isn't going to work.

gert

-- 
Gert Doering                         gd at medat.de
MEDAT Muenchen                       Tel: 089/126808-0  Fax: -50





More information about the Gpc mailing list